#####################################
InputFiles:
    MODELDIR: './input_files/Y19/'
    input_rotation_filenames:
        - 'Global_250-0Ma_Young_et_al.rot'
        - 'Global_410-250Ma_Young_et_al.rot'
    topology_features:
        - 'Global_Mesozoic-Cenozoic_plate_boundaries_Young_et_al.gpml'
        - 'Global_Paleozoic_plate_boundaries_Young_et_al.gpml'
        - 'TopologyBuildingBlocks_Young_et_al.gpml'

    COBterrane_file: 'Global_EarthByte_GeeK07_COB_Terranes_Young_etal_MOD.gpml'

    present_day_age_grid_file: None
    static_polygon_file: None

# name of output directories
OutputFiles:
    seedpoints_output_dir: "./seed_point_files/"
    grd_output_dir: './velocity_scaling/Y19a_50/'
    output_gridfile_template: 'Y19_seafloor_age_'

TimeParameters:
# --- set parameters
    min_time: 0.
    max_time: 410.
    mor_time_step: 1.
    gridding_time_step: 1.

# Distance in arc-degrees along ridges at which to tessellate lines to
# create seed points
# BUT: does not desample the points where the original line geometries
# are already closer than the specified distance
SpatialParameters:
    ridge_sampling: 0.5
    initial_ocean_healpix_sampling: 64
    initial_ocean_mean_spreading_rate: 50.

    # used to remove small polygons in the masking. Units are area on unit sphere
    area_threshold: 0.0001

    seed_age_offset: 0.0

    # Control the gridding extent and resolution parameters passed to GMT
    grdspace: 0.25
    xmin: -180.
    xmax: 180.
    ymin: -90.
    ymax: 90.

    grid_masking: True

num_cpus: 6
